umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CPPCodeComment Class Reference

`#include <cppcodecomment.h>`

Inheritance diagram for CPPCodeComment:

## Public Member Functions
| CPPCodeComment (CodeDocument *doc, const QString &text=QString())
virtual | ~CPPCodeComment ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
QString | toString () const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | getNewEditorLine (int amount)
Public Member Functions inherited from CodeComment
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | loadFromXMI (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

A CPP code comment. There is only a single styles of comments: these are simply started with double slash sequence and no terminating characters.

## Constructor & Destructor Documentation

## ◆ CPPCodeComment()

CPPCodeComment::CPPCodeComment | ( | CodeDocument * | doc,
|  | const QString & | text = QString() )
| explicit

Constructors.

## ◆ ~CPPCodeComment()

CPPCodeComment::~CPPCodeComment | ( |  | ) |
| virtual

Empty Destructor.

## Member Function Documentation

## ◆ getNewEditorLine()

QString CPPCodeComment::getNewEditorLine | ( | int | amount | ) |
| virtual

A special version here because we want to not only indent the new line, but to add the "//" sequence as well.

Reimplemented from TextBlock.

## ◆ saveToXMI()

void CPPCodeComment::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object.

Reimplemented from CodeComment.

## ◆ toString()

QString CPPCodeComment::toString | ( |  | ) | const
| virtual

Returns
  QString

Reimplemented from TextBlock.

## ◆ unformatText()

QString CPPCodeComment::unformatText | ( | const QString & | text,
|  | const QString & | indent = QString() )
| virtual

UnFormat a long text string. Typically, this means removing the indentation (linePrefix) and/or newline chars from each line.

Reimplemented from TextBlock.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppcodecomment.h
- umbrello/codegenerators/cpp/cppcodecomment.cpp